# Table of Contents

- [Table of Contents](table_of_contents.md)

- [Package Structure](package_structure.md)

- [Endpoint Analysis Format](endpoint_analysis_format.md)

- [Scripts](scripts.md)

- NBA API
    - Library
        - Debug 
            - [debug.py](nba_api/debug.md)
        - [http.py](nba_api/library/http.md)
    - Tools
        - [Endpoint Analysis](nba_api/tools/stats/endpoint_analysis/analysis.md)
        - [Endpoint Documentation Generator](nba_api/tools/stats/endpoint_documentation_generator/generator.md)
        - [Endpoint Py File Generator](nba_api/tools/stats/endpoint_py_file_generator/generator.md)
        - [Parameter Documentation Generator](nba_api/tools/stats/parameter_documentation_generator/generator.md)
    - Stats [`stats.nba.com`](nba_api/stats/endpoints)
        - [Examples](nba_api/stats/examples.md)
        - Library
            - [data.py](nba_api/stats/library/data.md)
            - [http.py](nba_api/stats/library/http.md)
            - [parameters.py](nba_api/stats/library/parameters.md)
        - Static
            - [players.py](nba_api/stats/static/players.md)
            - [teams.py](nba_api/stats/static/teams.md)
        - [Endpoints](nba_api/stats/endpoints_data_structure.md)
            - [/AllTimeLeadersGrids](nba_api/stats/endpoints/alltimeleadersgrids.md)
            - [/AssistLeaders](nba_api/stats/endpoints/assistleaders.md)
            - [/AssistTracker](nba_api/stats/endpoints/assisttracker.md)
            - [/BoxScoreAdvancedV2](nba_api/stats/endpoints/boxscoreadvancedv2.md)
            - [/BoxScoreDefensive](nba_api/stats/endpoints/boxscoredefensive.md)
            - [/BoxScoreFourFactorsV2](nba_api/stats/endpoints/boxscorefourfactorsv2.md)
            - [/BoxScoreMatchups](nba_api/stats/endpoints/boxscorematchups.md)
            - [/BoxScoreMiscV2](nba_api/stats/endpoints/boxscoremiscv2.md)
            - [/BoxScorePlayerTrackV2](nba_api/stats/endpoints/boxscoreplayertrackv2.md)
            - [/BoxScoreScoringV2](nba_api/stats/endpoints/boxscorescoringv2.md)
            - [/BoxScoreSimilarityScore](nba_api/stats/endpoints/boxscoresimilarityscore.md)
            - [/BoxScoreSummaryV2](nba_api/stats/endpoints/boxscoresummaryv2.md)
            - [/BoxScoreTraditionalV2](nba_api/stats/endpoints/boxscoretraditionalv2.md)
            - [/BoxScoreUsageV2](nba_api/stats/endpoints/boxscoreusagev2.md)
            - [/CommonAllPlayers](nba_api/stats/endpoints/commonallplayers.md)
            - [/CommonPlayerInfo](nba_api/stats/endpoints/commonplayerinfo.md)
            - [/CommonPlayoffSeries](nba_api/stats/endpoints/commonplayoffseries.md)
            - [/CommonTeamRoster](nba_api/stats/endpoints/commonteamroster.md)
            - [/CommonTeamYears](nba_api/stats/endpoints/commonteamyears.md)
            - [/CumeStatsPlayer](nba_api/stats/endpoints/cumestatsplayer.md)
            - [/CumeStatsPlayerGames](nba_api/stats/endpoints/cumestatsplayergames.md)
            - [/CumeStatsTeam](nba_api/stats/endpoints/cumestatsteam.md)
            - [/CumeStatsTeamGames](nba_api/stats/endpoints/cumestatsteamgames.md)
            - [/DefenseHub](nba_api/stats/endpoints/defensehub.md)
            - [/DraftBoard](nba_api/stats/endpoints/draftboard.md)
            - [/DraftCombineDrillResults](nba_api/stats/endpoints/draftcombinedrillresults.md)
            - [/DraftCombineNonStationaryShooting](nba_api/stats/endpoints/draftcombinenonstationaryshooting.md)
            - [/DraftCombinePlayerAnthro](nba_api/stats/endpoints/draftcombineplayeranthro.md)
            - [/DraftCombineSpotShooting](nba_api/stats/endpoints/draftcombinespotshooting.md)
            - [/DraftCombineStats](nba_api/stats/endpoints/draftcombinestats.md)
            - [/DraftHistory](nba_api/stats/endpoints/drafthistory.md)
            - [/FantasyWidget](nba_api/stats/endpoints/fantasywidget.md)
            - [/FranchiseHistory](nba_api/stats/endpoints/franchisehistory.md)
            - [/FranchiseLeaders](nba_api/stats/endpoints/franchiseleaders.md)
            - [/FranchisePlayers](nba_api/stats/endpoints/franchiseplayers.md)
            - [/GameRotation](nba_api/stats/endpoints/gamerotation.md)
            - [/GLAlumBoxScoreSimilarityScore](nba_api/stats/endpoints/glalumboxscoresimilarityscore.md)
            - [/HomePageLeaders](nba_api/stats/endpoints/homepageleaders.md)
            - [/HomePageV2](nba_api/stats/endpoints/homepagev2.md)
            - [/HustleStatsBoxScore](nba_api/stats/endpoints/hustlestatsboxscore.md)
            - [/InfographicFanDuelPlayer](nba_api/stats/endpoints/infographicfanduelplayer.md)
            - [/LeadersTiles](nba_api/stats/endpoints/leaderstiles.md)
            - [/LeagueDashLineups](nba_api/stats/endpoints/leaguedashlineups.md)
            - [/LeagueDashPlayerBioStats](nba_api/stats/endpoints/leaguedashplayerbiostats.md)
            - [/LeagueDashPlayerClutch](nba_api/stats/endpoints/leaguedashplayerclutch.md)
            - [/LeagueDashOppPtShot](nba_api/stats/endpoints/leaguedashoppptshot.md)
            - [/LeagueDashPlayerPtShot](nba_api/stats/endpoints/leaguedashplayerptshot.md)
            - [/LeagueDashPlayerShotLocations](nba_api/stats/endpoints/leaguedashplayershotlocations.md)
            - [/LeagueDashPlayerStats](nba_api/stats/endpoints/leaguedashplayerstats.md)
            - [/LeagueDashPtDefend](nba_api/stats/endpoints/leaguedashptdefend.md)
            - [/LeagueDashPtStats](nba_api/stats/endpoints/leaguedashptstats.md)
            - [/LeagueDashPtTeamDefend](nba_api/stats/endpoints/leaguedashptteamdefend.md)
            - [/LeagueDashTeamClutch](nba_api/stats/endpoints/leaguedashteamclutch.md)
            - [/LeagueDashTeamPtShot](nba_api/stats/endpoints/leaguedashteamptshot.md)
            - [/LeagueDashTeamShotLocations](nba_api/stats/endpoints/leaguedashteamshotlocations.md)
            - [/LeagueDashTeamStats](nba_api/stats/endpoints/leaguedashteamstats.md)
            - [/LeagueHustleStatsPlayer](nba_api/stats/endpoints/leaguehustlestatsplayer.md)
            - [/LeagueHustleStatsPlayerLeaders](nba_api/stats/endpoints/leaguehustlestatsplayerleaders.md)
            - [/LeagueHustleStatsTeam](nba_api/stats/endpoints/leaguehustlestatsteam.md)
            - [/LeagueHustleStatsTeamLeaders](nba_api/stats/endpoints/leaguehustlestatsteamleaders.md)
            - [/LeagueGameFinder](nba_api/stats/endpoints/leaguegamefinder.md)
            - [/LeagueGameLog](nba_api/stats/endpoints/leaguegamelog.md)
            - [/LeagueLeaders](nba_api/stats/endpoints/leagueleaders.md)
            - [/LeagueLineupViz](nba_api/stats/endpoints/leaguelineupviz.md)
            - [/LeaguePlayerOnDetails](nba_api/stats/endpoints/leagueplayerondetails.md)
            - [/LeagueSeasonMatchups](nba_api/stats/endpoints/leagueseasonmatchups.md)
            - [/LeagueStandings](nba_api/stats/endpoints/leaguestandings.md)
            - [/LeagueStandingsV3](nba_api/stats/endpoints/leaguestandingsv3.md)
            - [/MatchupsRollup](nba_api/stats/endpoints/matchupsrollup.md)
            - [/PlayByPlay](nba_api/stats/endpoints/playbyplay.md)
            - [/PlayByPlayV2](nba_api/stats/endpoints/playbyplayv2.md)
            - [/PlayerAwards](nba_api/stats/endpoints/playerawards.md)
            - [/PlayerCareerByCollege](nba_api/stats/endpoints/playercareerbycollege.md)
            - [/PlayerCareerByCollegeRollup](nba_api/stats/endpoints/playercareerbycollegerollup.md)
            - [/PlayerCareerStats](nba_api/stats/endpoints/playercareerstats.md)
            - [/PlayerCompare](nba_api/stats/endpoints/playercompare.md)
            - [/PlayerDashPtPass](nba_api/stats/endpoints/playerdashptpass.md)
            - [/PlayerDashPtReb](nba_api/stats/endpoints/playerdashptreb.md)
            - [/PlayerDashPtShotDefend](nba_api/stats/endpoints/playerdashptshotdefend.md)
            - [/PlayerDashPtShots](nba_api/stats/endpoints/playerdashptshots.md)
            - [/PlayerDashboardByClutch](nba_api/stats/endpoints/playerdashboardbyclutch.md)
            - [/PlayerDashboardByGameSplits](nba_api/stats/endpoints/playerdashboardbygamesplits.md)
            - [/PlayerDashboardByGeneralSplits](nba_api/stats/endpoints/playerdashboardbygeneralsplits.md)
            - [/PlayerDashboardByLastNGames](nba_api/stats/endpoints/playerdashboardbylastngames.md)
            - [/PlayerDashboardByOpponent](nba_api/stats/endpoints/playerdashboardbyopponent.md)
            - [/PlayerDashboardByShootingSplits](nba_api/stats/endpoints/playerdashboardbyshootingsplits.md)
            - [/PlayerDashboardByTeamPerformance](nba_api/stats/endpoints/playerdashboardbyteamperformance.md)
            - [/PlayerDashboardByYearOverYear](nba_api/stats/endpoints/playerdashboardbyyearoveryear.md)
            - [/PlayerEstimatedMetrics](nba_api/stats/endpoints/playerestimatedmetrics.md)
            - [/PlayerFantasyProfile](nba_api/stats/endpoints/playerfantasyprofile.md)
            - [/PlayerFantasyProfileBarGraph](nba_api/stats/endpoints/playerfantasyprofilebargraph.md)
            - [/PlayerGameLog](nba_api/stats/endpoints/playergamelog.md)
            - [/PlayerGameLogs](nba_api/stats/endpoints/playergamelogs.md)
            - [/PlayerGameStreakFinder](nba_api/stats/endpoints/playergamestreakfinder.md)
            - [/PlayerNextNGames](nba_api/stats/endpoints/playernextngames.md)
            - [/PlayerProfileV2](nba_api/stats/endpoints/playerprofilev2.md)
            - [/PlayerVsPlayer](nba_api/stats/endpoints/playervsplayer.md)
            - [/PlayoffPicture](nba_api/stats/endpoints/playoffpicture.md)
            - [/Scoreboard](nba_api/stats/endpoints/scoreboard.md)
            - [/ScoreboardV2](nba_api/stats/endpoints/scoreboardv2.md)
            - [/ShotChartDetail](nba_api/stats/endpoints/shotchartdetail.md)
            - [/ShotChartLeagueWide](nba_api/stats/endpoints/shotchartleaguewide.md)
            - [/ShotChartLineupDetail](nba_api/stats/endpoints/shotchartlineupdetail.md)
            - [/SynergyPlayTypes](nba_api/stats/endpoints/synergyplaytypes.md)
            - [/TeamAndPlayersVsPlayers](nba_api/stats/endpoints/teamandplayersvsplayers.md)
            - [/TeamDashLineups](nba_api/stats/endpoints/teamdashlineups.md)
            - [/TeamDashPtPass](nba_api/stats/endpoints/teamdashptpass.md)
            - [/TeamDashPtReb](nba_api/stats/endpoints/teamdashptreb.md)
            - [/TeamDashPtShots](nba_api/stats/endpoints/teamdashptshots.md)
            - [/TeamDashboardByClutch](nba_api/stats/endpoints/teamdashboardbyclutch.md)
            - [/TeamDashboardByGameSplits](nba_api/stats/endpoints/teamdashboardbygamesplits.md)
            - [/TeamDashboardByGeneralSplits](nba_api/stats/endpoints/teamdashboardbygeneralsplits.md)
            - [/TeamDashboardByLastNGames](nba_api/stats/endpoints/teamdashboardbylastngames.md)
            - [/TeamDashboardByOpponent](nba_api/stats/endpoints/teamdashboardbyopponent.md)
            - [/TeamDashboardByShootingSplits](nba_api/stats/endpoints/teamdashboardbyshootingsplits.md)
            - [/TeamDashboardByTeamPerformance](nba_api/stats/endpoints/teamdashboardbyteamperformance.md)
            - [/TeamDashboardByYearOverYear](nba_api/stats/endpoints/teamdashboardbyyearoveryear.md)
            - [/TeamDetails](nba_api/stats/endpoints/teamdetails.md)
            - [/TeamEstimatedMetrics](nba_api/stats/endpoints/teamestimatedmetrics.md)
            - [/TeamGameLog](nba_api/stats/endpoints/teamgamelog.md)
            - [/TeamGameLogs](nba_api/stats/endpoints/teamgamelogs.md)
            - [/TeamGameStreakFinder](nba_api/stats/endpoints/teamgamestreakfinder.md)
            - [/TeamHistoricalLeaders](nba_api/stats/endpoints/teamhistoricalleaders.md)
            - [/TeamInfoCommon](nba_api/stats/endpoints/teaminfocommon.md)
            - [/TeamPlayerDashboard](nba_api/stats/endpoints/teamplayerdashboard.md)
            - [/TeamPlayerOnOffDetails](nba_api/stats/endpoints/teamplayeronoffdetails.md)
            - [/TeamPlayerOnOffSummary](nba_api/stats/endpoints/teamplayeronoffsummary.md)
            - [/TeamVsPlayer](nba_api/stats/endpoints/teamvsplayer.md)
            - [/TeamYearByYearStats](nba_api/stats/endpoints/teamyearbyyearstats.md)
            - [/VideoDetails](nba_api/stats/endpoints/videodetails.md)
            - [/VideoEvents](nba_api/stats/endpoints/videoevents.md)
            - [/VideoStatus](nba_api/stats/endpoints/videostatus.md)
            - [/WinProbabilityPBP](nba_api/stats/endpoints/winprobabilitypbp.md)
